Subject: [bug#41448] [PATCH] gnu: deja-dup: Update to 40.6.

From: Marius Bakke <[email-masked]>
Date: Sat, 23 May 2020 20:01:56 +0200

Brice Waegeneire <[email-masked]> writes:

> * gnu/packages/gnome.scm (deja-dup): Update to 40.6.
> [origin]: Use gitlab.gnome.org since the project migrated away from
> launchpad.
> [home-page]: Use 'wiki.gnome.org' instead of 'launchpad.net'.
> [build-system]: Switch to 'meson-build-system' because upstream removed
> cmake support.
> [arguments]: TODO!!!
> [inputs]: Remove 'libpeas', 'gobject-introspection'. Replace 'python-2'
> and 'python2-pygobject' with python-3 versions. Add 'json-glib',
> 'libsoup' and 'libgpg-error'.
> [native-inputs]: Remove 'cmake-minimal'. Add 'appstream-glib',
> 'desktop-file-utils', 'glib:bin' and 'gobject-introspection'.
> * gnu/packages/patches/deja-dup-use-ref-keyword-for-iter.patch: Delete
> file.

Woooow.  LGTM, with that TODO resolved!

By the way, GNOME packages are getting rid of intltool in favor of
plain gettext, can you check if that is the case here too?  (intltool
propagates gettext which is why we don't notice.)

Thanks!